/* General Mobile Styles */

@media screen and (max-width: 768px) {
  body {
    font-size: 14px;
  }
p{
    text-align:center;
}
  h2 {
    font-size: 30px;
    text-align:center;
  }

  .hero {
    padding: 60px 0 30px 0;
    min-height: 400px;
  }

  .hero h1 {
    font-size: 30px;
    line-height: 35px;
    text-align:center;
  }

  .hero p {
    font-size: 14px;
    line-height: 1.5em;
    text-align:center;
    width:100%;
  }

  .form-wrapper {
    width: 100%;
  }
.fun-factors p.py-3:before, .empower h2:before {
    display:none;
}
    .fun-factors p.py-3 {
        text-align:center;
        width:100%;
    }
    .text-main::before {
    margin-bottom: 20px;
    width: 100%;
    display:none;
  }
  .text-main-h2 {
        padding-left: 0px !important;
    }
    .inner img{
        width:100%;
    }
  .call-to-section {
  &:before {
      background-size: 100% 100%;
  }
}
.box-shade .hero-btns {
    gap: 0px;
}
    .box-shade {
        padding: 40px 10px !important;
    }
    h6, h4 , h5 , li {
        text-align:center;
    }
    h1{
        font-size:30px;
        text-align:center;
            line-height: 40px;
    }
    p{
        width:100% !important;
    }
    .bg-form-image {
    & .form-wrapper {
        & .form-row {
            display: flex;
            gap: 0px;
            flex-direction: column;
        }
    }
}
.footer {
    .btm-footer {
        flex-direction: column;
    }
}
.pt-2 {
    margin:0 auto;
}
.form-wrapper {
    .call-now-btn {
        border-radius: 50px;
        width: 100%;
        background-color: var(--thm-color);
    }
}
.testimonial-section {
    .swiper-button-next {
        right: 0%;
    }
}
.testimonial-section {
    .swiper-button-prev {
        left: 0%;
    }
}
  .service-block .inner-box {
    padding: 20px;
    margin: 0;
  }

  .header {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 10px;
  }

  .header .logo {
    margin-bottom: 10px;
  }

  .header .mobile-nav-toggle {
    display: block;
    font-size: 30px;
    color: #000000;
  }

  .header .navmenu ul li {
    margin: 10px 0;
  }

  section {
    overflow: hidden;
  }

  ul.main-menu {
    position: fixed;
    left: auto;
    width: 100%;
    height: 100%;
    background: #131313;
    top: 60px;
    padding: 20px;
    right: -100%;
    transition: 1s;
    padding-bottom: 80px;
    overflow-y: scroll;
  }

  .mobile-nav-active {
    .header {
      ul.main-menu {
        right: 0;
        transition: 1s;
        z-index: 5;
      }
    }
  }

  a:active,
  a:focus,
  a:hover,
  a:visited,
  button:active {
    color: var(--default-color);
  }

  .toggle-dropdown {
    &::before {
      transition: 0.5s;
    }
  }

  .dropdown {
    .active {
      .toggle-dropdown {
        &::before {
          transform: rotate(180deg);
          transition: 0.5s;
        }
      }
    }
  }

  .dropdown-active {
    display: block;
    width: 100%;
    padding: 20px;
    position: relative;
  }

  .hero-btns {
    flex-wrap: wrap;
            margin: 15px auto;
            justify-content: center;
  }
.fun-box {
        margin: 10px auto
}
  .hero {
    .row {
      flex-direction: column-reverse;
    }
  }
  .cta-signup h2 {
    font-size: 30px;
}

  .cta-signup {
    background-color: #000000 !important;
    width: 100%;
  }

  .step-up {
    margin-top: 0px !important;
    margin-bottom: 0;
  }

  .step-down {
    margin-top: 0;
    margin-bottom: 0px !important;
  }

  .step-box {
    img {
      display: none;
    }
  }

  .step-circle {
    top: -4px;
    left: 20;
  }

  .button-hero,
  .top-bar {
    display: none;
  }

  .portfolio-slider {
    .swiper-slide {
      width: 100% !important;
      height: 100%;
      text-align: center;
      img {
        width: 70%;
        height: 320px;
        object-fit: cover;
      }
    }
  }
  .form-control {
          font-size: 14px;
  }
    .icon-bg {
        margin:0 auto;
    }
    .text-right{
        text-align:center;
                margin-top: 10px;
    }
    .text-end {
        text-align:center !important;
    }
    .innovation .row .col-md-6 img{
        width:100% !important;
        margin-top:15px;
    }
  .footer {
    & .social_media_linkss_ft {
      ul {
        justify-content: center;
      }
    }
  }
 
}

/* Tablet Styles */
@media screen and (max-width: 1024px) {
  .hero {
    padding: 50px 0 40px 0;
    min-height: 600px;
  }
  .mobile-nav-toggle{
    color:#000000
  }
  .footer-description img{
        width: 170px !important;
  }
  #dialog-content .row .col-lg-5 img{
    display: none;
  }
  #dialog-content .row .col-lg-7{
    width: 100%;
  }

  ul.main-menu {
    position: fixed;
    left: auto;
    width: 100%;
    height: 100%;
    background: #131313;
    top: 60px;
    padding: 20px;
    right: -100%;
    transition: 1s;
    padding-bottom: 80px;
    overflow-y: scroll;
  }

  .mobile-nav-active {
    .header {
      ul.main-menu {
        right: 0;
        transition: 1s;
        z-index: 5;
      }
    }
  }

  a:active,
  a:focus,
  a:hover,
  a:visited,
  button:active {
    color: var(--default-color);
  }

  .toggle-dropdown {
    &::before {
      transition: 0.5s;
    }
  }

  .dropdown {
    .active {
      .toggle-dropdown {
        &::before {
          transform: rotate(180deg);
          transition: 0.5s;
        }
      }
    }
  }

  .dropdown-active {
    display: block;
    width: 100%;
    padding: 20px;
    position: relative;
  }
}

/* Large Screens */
@media screen and (min-width: 1200px) {
  .hero {
    padding: 150px 0 80px 0;
  }
   .footer-description img{
        width: 220px !important;
  }
}

@media (max-width: 480px) {
  .generic-modal {
    max-width: 100% !important;
  }

  .fun-box {
    margin-bottom: 10px;
  }

  .step-p {
    width: 100% !important;
  }

  .img-wrapper {
    display: none;
  }

  .dropdown {
    ul {
      max-height: 0;
      overflow: hidden;
      padding: 0 20px;
      opacity: 0;
      transition: max-height 0.5s ease, padding 0.5s ease, opacity 0.5s ease;

      &.dropdown-active {
        max-height: 500px;
        padding: 10px 20px;
        opacity: 1;
      }
    }
  }
}
